#include"Init.h"
#include"constants.h"
#include<avr/io.h>
#include<avr/interrupt.h>

void Init(void)
{
	//Watchdog aus
	WDTCR &= 0b11110111;
	
	//Setze alle PIN's von PORTD als Eingang,
	//nur PD6 ist Ausgang
	DDRD = 0x40;
	PORTD &= ~(1 << 2);			//PD2 Eingang ohne Pull-Up Widerstand
	PON_ON;		//Empfnger einschalten
	

	DDRB = 0x03;
	LED0_ON;		//Status LED an
	LED1_OFF;		//Empfangs LED aus
	
	
	//Interrupts Configurieren 
	
	//Externen Interrupt0 (INT0) im GICR General Interrupt Control Register
	//aktivieren (Bit 7) 
	GICR |= 0b10000000;
	
	//Interrupt 0 Sense Control
	//MCU Control Register ISC00=1 (bit0) ISC01=0 (bit1) 
	//positive Flankenerkennung
	MCUCR |= 0b00000011;		//ISC01 und ISC00 setzen
	
	
	//Globale Interrupts im Status Register aktivieren
	//SREG |= 0b10000000;
	sei();
	

}
